body.burger-menu--open {
  overflow: hidden;
}

body.burger-menu--open::before {
  content: "";
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  z-index: 5;
}

body.burger-menu--open .burger-menu {
  transform: translateX(0);
}

.burger-menu {
  height: 250px;
  width: 250px;
  background: linear-gradient(to top right, #1c1c1c 0%, #1c1c1c 36%, #202c29 45%, #1c3632 52%, #16403a 62%, #104943 72%, #0b4d42 100%);
  position: fixed;
  top: 10%;
  right: 5%;
  z-index: 9999;
  border: var(--border);
  border-radius: var(--br-35);
  transform: translateX(200%);
  transition: transform 300ms ease-in-out;
}

.burger-menu__content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  row-gap: var(--spacing-md);
}

.burger-menu__content > a {
  font-size: var(--fs-lg);
  font-family: var(--fira);
}
